use egui::*;

use crate::graph_types::*;

impl Param {
    pub fn value_widget(&self, name: &str, ui: &mut Ui) {
        match &self.kind {
            Descriptor::Info => {
                ui.label(name);
            }
            Descriptor::Button => {
                ui.label(name);
            }
            Descriptor::Slider { min, max } => {
                ui.horizontal(|ui| {
                    ui.label(format!("{}", min));
                    ui.add(
                        ProgressBar::new(0.0)
                            .desired_width(160.0)
                            .text(format!("{}", 0)),
                    );
                    ui.label(format!("{}", max));
                });
            }
        }
    }
}
